Bez tytułu

z Forensic Rhinoceros, 2 miesiące temu, napisane w Plain Text, wyświetlone 49 razy. [paste_expire] 8 miesiące.
URL https://pastebin.k4be.pl/view/255e2923 Udostępnij
Pobierz wklejkę lub Pokaż surowy tekst
  1. # emerge -av1 --deep --update --backtrack=500 qtcore
  2. These are the packages that would be merged, in order:
  3.  
  4. Calculating dependencies... done!
  5. Dependency resolution took 51.00 s.
  6.  
  7. [ebuild     U  ] sys-apps/systemd-utils-254.5-r2::gentoo [252.7::gentoo] USE="acl kmod (split-usr) tmpfiles udev* -boot -kernel-install% -secureboot% (-selinux) -sysusers -test -ukify%" ABI_X86="32* (64) (-x32)" PYTHON_SINGLE_TARGET="python3_11%* -python3_10% (-python3_12)" 0 KiB
  8. [uninstall     ] sys-fs/eudev-3.2.11-r2::gentoo  USE="introspection kmod -rule-generator (-selinux) -static-libs -test" ABI_X86="32 (64) (-x32)"
  9. [blocks b      ] sys-apps/systemd-utils[udev] ("sys-apps/systemd-utils[udev]" is soft blocking sys-fs/eudev-3.2.11-r2)
  10. [blocks b      ] sys-fs/eudev ("sys-fs/eudev" is soft blocking sys-apps/systemd-utils-254.5-r2)
  11. [ebuild     U  ] virtual/libudev-251-r2:0/1::gentoo [232-r7:0/1::gentoo] USE="-systemd" ABI_X86="32 (64) (-x32)" 0 KiB
  12. [ebuild     U  ] virtual/udev-217-r7::gentoo [217-r5::gentoo] USE="-systemd%" 0 KiB
  13. [ebuild     U  ] sys-apps/util-linux-2.38.1-r2::gentoo [2.38.1::gentoo] USE="cramfs hardlink logger ncurses nls pam python readline (split-usr) su suid udev (unicode) -audit -build -caps -cryptsetup -fdformat -kill -magic (-rtas) (-selinux) -slang -static-libs -systemd -test -tty-helpers -verify-sig" ABI_X86="32 (64) (-x32)" PYTHON_TARGETS="python3_11* -python3_10* (-python3_9%)" 0 KiB
  14. [ebuild     U  ] dev-libs/libinput-1.24.0:0/10::gentoo [1.22.1:0/10::gentoo] USE="-doc -test" INPUT_DEVICES="-wacom" 0 KiB
  15. [ebuild     U  ] sys-auth/elogind-246.10-r3::gentoo [246.10-r2::gentoo] USE="acl cgroup-hybrid pam policykit -audit -debug -doc (-selinux) -test" 0 KiB
  16. [ebuild  r  U  ] dev-qt/qtgui-5.15.11-r2:5/5.15.11::gentoo [5.15.8-r3:5/5.15.8::gentoo] USE="X accessibility* dbus egl jpeg libinput png udev vulkan* -debug -eglfs -evdev -gles2-only -ibus -linuxfb -test -tslib -tuio -vnc -wayland" 0 KiB
  17. [ebuild     U  ] sys-apps/portage-3.0.51::gentoo [3.0.44-r1::gentoo] USE="(ipc) native-extensions rsync-verify xattr -apidoc -build -doc -gentoo-dev (-selinux) -test" PYTHON_TARGETS="python3_11* (-pypy3) -python3_10* (-python3_12) (-python3_9%)" 0 KiB
  18. [ebuild     U  ] dev-qt/qtx11extras-5.15.11:5/5.15::gentoo [5.15.8:5/5.15::gentoo] USE="-debug -test" 0 KiB
  19. [ebuild     U  ] app-crypt/pinentry-1.2.1-r3::gentoo [1.2.1-r1::gentoo] USE="X%* gtk ncurses qt5 -caps -efl -emacs -keyring% -verify-sig -wayland% (-gnome-keyring%*)" 0 KiB
  20.  
  21. Total: 10 packages (10 upgrades, 1 uninstall), Size of downloads: 0 KiB
  22. Conflict: 2 blocks (all satisfied)
  23.  
  24. !!! Multiple package instances within a single package slot have been pulled
  25. !!! into the dependency graph, resulting in a slot conflict:
  26.  
  27. dev-qt/qtgui:5
  28.  
  29.   (dev-qt/qtgui-5.15.11-r2:5/5.15.11::gentoo, ebuild scheduled for merge) USE="X accessibility dbus egl jpeg libinput png udev vulkan -debug -eglfs -evdev -gles2-only -ibus -linuxfb -test -tslib -tuio -vnc -wayland" ABI_X86="(64)" pulled in by
  30.     =dev-qt/qtgui-5.15.11*[X] required by (dev-qt/qtx11extras-5.15.11:5/5.15::gentoo, ebuild scheduled for merge) USE="-debug -test" ABI_X86="(64)"
  31.     ^             ^^^^^^^^                                                                                                                                                                                                                                        
  32.  
  33.   (dev-qt/qtgui-5.15.8-r3:5/5.15.8::gentoo, installed) USE="X dbus egl jpeg libinput png udev userland_GNU -accessibility -debug -eglfs -evdev -gles2-only -ibus -linuxfb -test -tslib -tuio -vnc -vulkan -wayland" ABI_X86="(64)" pulled in by
  34.     =dev-qt/qtgui-5.15.8* required by (dev-qt/qtquickcontrols2-5.15.8:5/5.15::gentoo, installed) USE="userland_GNU widgets -debug -test" ABI_X86="(64)"
  35.     ^             ^^^^^^^                                                                                                                                                                                                                                                                                    
  36.     (and 10 more with the same problem)
  37.  
  38. NOTE: Use the '--verbose-conflicts' option to display parents omitted above
  39.  
  40. It may be possible to solve this problem by using package.mask to
  41. prevent one of those packages from being selected. However, it is also
  42. possible that conflicting dependencies exist such that they are
  43. impossible to satisfy simultaneously.  If such a conflict exists in
  44. the dependencies of two different packages, then those packages can
  45. not be installed simultaneously.
  46.  
  47. For more information, see MASKED PACKAGES section in the emerge man
  48. page or refer to the Gentoo Handbook.
  49.  

odpowiedź "Bez tytułu"

Tutaj możesz odpowiedzieć na wklejkę z góry

captcha